%define name portsentry
%define version 1.0
%define release 2mdk

Name:		%{name}
Summary:	Psionic PortSentry
Version:	%{version}
Release:	%{release}
Copyright:	see LICENSE
Group:		System/Servers
URL:		http://www.psionic.com
Source:		%{name}-%{version}.tar.bz2
Patch:		portsentry.patch.bz2
Patch1:		portsentry.conf.patch.bz2
Patch2:		portsentry_config.patch.bz2
Patch3:		portsentry_ignore.patch.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/sbin
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
PortSentry is part of the Abacus Project suite of tools. The Abacus 
Project is an initiative to release low-maintenance, generic, and reliable
host based intrusion detection software to the Internet community. More
information can be obtained from http://www.psionic.com.  PortSentry
monitors TCP and UDP ports for illegal entry and port scans.


%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
export RPM_OPT_FLAGS
make linux


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{prefix}

install -m700 portsentry $RPM_BUILD_ROOT%{prefix}
install -m700 ignore.csh $RPM_BUILD_ROOT%{prefix}
install -m600 portsentry.ignore $RPM_BUILD_ROOT/etc
install -m600 portsentry.conf $RPM_BUILD_ROOT/etc

find $RPM_BUILD_ROOT -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > $RPM_BUILD_DIR/tmp-filelist


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc CHANGES CREDITS LICENSE README.*
%{prefix}/portsentry
%{prefix}/ignore.csh
%config /etc/portsentry.ignore
%config /etc/portsentry.conf


%changelog
* Fri Apr 28 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.0-2mdk
- fix specfile for spec-helper
- fix group
- patch to ignore.csh for proper paths to config files

* Thu Dec 2 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used the srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Wed Dec 1 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribs
- bzip sources
- 1.0:
-  - NeverBlock() function fixed.
-  - Updated docs.
-  - Y2K fix in WriteBlocked functions.

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote patches to source files, now we can use pristine source

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file
- removed original source (you can grab it from Psionic's website anyway)

* Mon Sep 6 1999 Vincent Danen <vdanen@softhome.net>
- fixed paths in portsentry.conf
- updated spec file
- changed release number to *mdk to indicate Mandrake compliance
- Mandrake adaptions

* Sun Sep 5 1999 Vincent Danen <vdanen@softhome.net>
- adapted Makefile, portsentry-config.h, and ignore.csh to work with RPM
- wrote spec file
- included original source (unmodified)
